#include "Delay.h"            //  Use for Delay Subroutines
#include "sLCD.h"             //  Use for 2-Bit Serial LCD Display
#include "Init_PICMicro.h"    //  Sets PIC Configuration
#include "sRTC_Time_2B.h"     //  Use for 2 Button Time Set
//****************************************************************************
//
//   Project name:    sRTCTimeSet.c  with Alarm
//   by RCI
//   MCU:             PIC16F887
//   Dev.Board:       EasyPIC5
//   Oscillator:      20 Mhz crystal
//   Ext. Modules:    RTC on PORTD
//   SW:              mikroC v8.2.0.0
//   NOTES:
//   - Uses DS1307 RTC IC and 3V battery for backup
//   - SDA = PORTD.F0, SCL = PORTD.F1
//   - Be sure to switch the PORTD LEDs OFF
//   - For proper Soft_I2C communication, PORTD must be in the pull-up mode
//   04.07.2009
//***************************************************************************
//Variable Declarations
//***************************************************************************
//                          1234567890123456
const char Message1[17]  = "sRTC Time Demo  ";
const char Message2[17]  = "P16F887         ";
const char Message7[17]  = "Set Alarm Time  ";
const char Message19[17] = "Message Display ";
const char Message20[17] = "                ";
//***************************************************************************
void main()
{
unsigned char i, mode, Tripped;
Init_PICMicro();
		sResetLCD();
    Delay500ms();					                       //  Call Reset LCD
		sLCD_Out(sLCD_FIRST_ROW, 1, Message1);		   //  Displays Message on Row 1
		sLCD_Out(sLCD_SECOND_ROW, 1, Message2);		   //  Displays Message on Row 2
    Delay1000ms();
    Delay1000ms();
		sLCD_Out(sLCD_FIRST_ROW, 1, Message20);		   //  Displays Message on Row 1
		sLCD_Out(sLCD_SECOND_ROW, 1, Message20);		 //  Displays Message on Row 2
    Delay1000ms();
//Set_Time(22, 19, 0, 3, 29, 9, 2);   // See sRTC_Time.h
//****************************************************************************

while (1 == 1)
  {
  if (EN == 0)
    {
    while (EN == 0)
    {
    }
    Set_Time();  //  See sRTC_Time_2B.h
    }
    
    Get_Time();
    Display_Time_Short(sLCD_FIRST_ROW, 1);
    Display_Date(sLCD_SECOND_ROW, 1);
    Display_Day(sLCD_FIRST_ROW, 10);
    Tripped = Alarm(18, 33, 5, 3, 29, 9);   // Alarm hours are 24 Time
    if (Tripped == 1)
       PORTB = 0b10000000;

    Delay500ms();

    } // End While
} // End Main
//****************************************************************************
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
